﻿
/* ---- 颜色 ---- */
.text-white {color: #fff;}
.text-grayLight{color: #cccccc;}
.text-gray{color: #999;}
.text-grayDark {color: #666;}
.text-black {color: #333333;}
.text-blackDark {color: #000;}
.text-red{color:#ff0000}
.text-green{color:#46BE8A}
.text-muted {color: #777;}
.text-primary {color:#2888e2;}
.text-success {color:#46BE8A;}
.text-info {color:#2589ff}
.text-warning {color:#ff6a00;}
.text-danger {color:#ff006e}


/*辅助类*/
.show{display:block!important;}
.hidden{display:none!important;}

.text-bold {font-weight:bold;}
.text-normal {font-weight:normal;}


.text-nowrap {white-space:nowrap;}
.text-lowercase {text-transform: lowercase;}
.text-uppercase {text-transform: uppercase;}
.text-capitalize {text-transform: capitalize;}

.display-hidden {display:none;}
.display-block {display:block;}
.display-inline {display:inline;}
.display-inline-block{display:inline-block;}
.display-flex{display:flex;}

.position-relative {position: relative}
.position-absolute {position: absolute}
.position-fixed {position: fixed}
.overflow-hidden {overflow: hidden}


/*font-weight*/
.font-weight-100{font-weight:100}
.font-weight-200{font-weight:200}
.font-weight-300{font-weight:300}
.font-weight-400 {font-weight: 400}   /*等价于normal*/
.font-weight-500 {font-weight:500}
.font-weight-600 {font-weight:600} 
.font-weight-700 {font-weight:700}   /*等价于bold*/
.font-weight-800 {font-weight: 800}
.font-weight-900 {font-weight: 900}

/*-----line-height-----*/
.line-height-1 {line-height:1;}
.line-height-1-5 { line-height:1.5;}
.line-height-2 { line-height:2;}
.line-height-2-5 { line-height:2.5;}
.line-height-3 { line-height:3;}
.line-height-3-5{ line-height:3.5;}
.line-height-4 { line-height:4;}
.line-height-4-5 { line-height:4.5;}
.line-height-5 { line-height:5;}
.line-height-5-5 { line-height:5.5;}
.line-height-6 { line-height:6;}
.line-height-6-5 { line-height:6.5;}
.line-height-7 { line-height:7;}
.line-height-7-5 { line-height:7.5;}
.line-height-8 { line-height:8;}
.line-height-8-5 { line-height:8.5;}
.line-height-9 { line-height:9;}
.line-height-9-5 { line-height:9.5;}
.line-height-10 {line-height:10;}
.line-height-12 {line-height:12;}
.line-height-14 {line-height:14;}
.line-height-16 {line-height:16;}
.line-height-18 {line-height:18;}
.line-height-20 {line-height:20;}

/*-----font-size-----*/
.font-size-0 {font-size:0px}
.font-size-2 {font-size: 2px}
.font-size-4 {font-size: 4px}
.font-size-6 {font-size: 6px}
.font-size-8 {font-size: 8px}
.font-size-10 {font-size: 10px}
.font-size-12 {font-size: 12px}
.font-size-14 {font-size: 14px}
.font-size-16 {font-size: 16px}
.font-size-18 {font-size: 18px}
.font-size-20 {font-size: 20px}
.font-size-22 {font-size: 22px}
.font-size-24 {font-size: 24px}
.font-size-26 {font-size: 26px}
.font-size-28 {font-size: 28px}
.font-size-30 {font-size: 30px}
.font-size-32 {font-size: 32px}
.font-size-34 {font-size: 34px}
.font-size-36 {font-size: 36px}
.font-size-38 {font-size: 38px}
.font-size-40 {font-size: 40px}
.font-size-42 {font-size: 42px}
.font-size-44{font-size: 44px}
.font-size-46 {font-size: 46px}
.font-size-48 {font-size: 48px}
.font-size-50 {font-size: 50px}
.font-size-60 {font-size: 60px}
.font-size-70 {font-size: 70px}
.font-size-80 {font-size: 80px}
.font-size-90 {font-size: 90px}
.font-size-100 {font-size: 100px}

/*-----border-style-----*/
.border {border: 1px solid #cccccc}
.border-slide {border-style: solid}
.border-dotted {border-style: dotted}
.border-dashed {border-style: dashed}
.border-double {border-style: double}
/*-----border-color-----*/
.border-white {border-color: #fff;}
.border-grayLight {border-color: #eee;}
.border-gray {border-color: #ccc;}
.border-grayDark{border-color:#999;}
.borderd-blackLight {border-color: #666;}
.border-black {border-color: #333;}
.border-blackDark {border-color: #000;}

/*-----padding-----*/
.padding-0 { padding: 0px;}
.padding-2  {padding: 2px}
.padding-4  {padding: 4px}
.padding-6  {padding: 6px}
.padding-8  {padding: 8px}
.padding-10 {padding: 10px}
.padding-12 {padding: 12px}
.padding-14 {padding: 14px}
.padding-16 {padding: 16px}
.padding-18 {padding: 18px}
.padding-20 {padding: 20px}
.padding-22 {padding: 22px}
.padding-24 {padding: 24px}
.padding-26 {padding: 26px}
.padding-28 {padding: 28px}
.padding-30 {padding: 30px}
.padding-32 {padding: 32px}
.padding-34 {padding: 34px}
.padding-36 {padding: 36px}
.padding-38 {padding: 38px}
.padding-40 {padding: 40px}
.padding-42 {padding: 42px}
.padding-44 {padding: 44px}
.padding-46 {padding: 46px}
.padding-48 {padding: 48px}
.padding-50 {padding: 50px}
.padding-52 {padding:52px}
.padding-54 {padding:54px}
.padding-56 {padding:56px}
.padding-58 {padding:58px}
.padding-60 {padding: 60px}
.padding-80 {padding: 80px}
.padding-90 {padding: 90px}
.padding-100{padding:100px}

/*-----padding-top-----*/
.padding-top-0 { padding-top: 0px;}
.padding-top-2  {padding-top: 2px}
.padding-top-4  {padding-top: 4px}
.padding-top-6  {padding-top: 6px}
.padding-top-8  {padding-top: 8px}
.padding-top-10 {padding-top: 10px}
.padding-top-12 {padding-top: 12px}
.padding-top-14 {padding-top: 14px}
.padding-top-16 {padding-top: 16px}
.padding-top-18 {padding-top: 18px}
.padding-top-20 {padding-top: 20px}
.padding-top-22 {padding-top: 22px}
.padding-top-24 {padding-top: 24px}
.padding-top-26 {padding-top: 26px}
.padding-top-28 {padding-top: 28px}
.padding-top-30 {padding-top: 30px}
.padding-top-32 {padding-top: 32px}
.padding-top-34 {padding-top: 34px}
.padding-top-36 {padding-top: 36px}
.padding-top-38 {padding-top: 38px}
.padding-top-40 {padding-top: 40px}
.padding-top-42 {padding-top: 42px}
.padding-top-44 {padding-top: 44px}
.padding-top-46 {padding-top: 46px}
.padding-top-48 {padding-top: 48px}
.padding-top-50 {padding-top: 50px}
.padding-top-52 {padding-top:52px}
.padding-top-54 {padding-top:54px}
.padding-top-56 {padding-top:56px}
.padding-top-58 {padding-top:58px}
.padding-top-60 {padding-top: 60px}
.padding-top-80 {padding-top: 80px}
.padding-top-90 {padding-top: 90px}
.padding-top-100{padding-top:100px}

/*-----padding-right-----*/
.padding-right-0 { padding-right: 0px;}
.padding-right-2  {padding-right: 2px}
.padding-right-4  {padding-right: 4px}
.padding-right-6  {padding-right: 6px}
.padding-right-8  {padding-right: 8px}
.padding-right-10 {padding-right: 10px}
.padding-right-12 {padding-right: 12px}
.padding-right-14 {padding-right: 14px}
.padding-right-16 {padding-right: 16px}
.padding-right-18 {padding-right: 18px}
.padding-right-20 {padding-right: 20px}
.padding-right-22 {padding-right: 22px}
.padding-right-24 {padding-right: 24px}
.padding-right-26 {padding-right: 26px}
.padding-right-28 {padding-right: 28px}
.padding-right-30 {padding-right: 30px}
.padding-right-32 {padding-right: 32px}
.padding-right-34 {padding-right: 34px}
.padding-right-36 {padding-right: 36px}
.padding-right-38 {padding-right: 38px}
.padding-right-40 {padding-right: 40px}
.padding-right-42 {padding-right: 42px}
.padding-right-44 {padding-right: 44px}
.padding-right-46 {padding-right: 46px}
.padding-right-48 {padding-right: 48px}
.padding-right-50 {padding-right: 50px}
.padding-right-52 {padding-right:52px}
.padding-right-54 {padding-right:54px}
.padding-right-56 {padding-right:56px}
.padding-right-58 {padding-right:58px}
.padding-right-60 {padding-right: 60px}
.padding-right-80 {padding-right: 80px}
.padding-right-90 {padding-right: 90px}
.padding-right-100{padding-right:100px}

/*-----pddding-bottom-----*/
.padding-bottom-0 { padding-bottom: 0px;}
.padding-bottom-2  {padding-bottom: 2px}
.padding-bottom-4  {padding-bottom: 4px}
.padding-bottom-6  {padding-bottom: 6px}
.padding-bottom-8  {padding-bottom: 8px}
.padding-bottom-10 {padding-bottom: 10px}
.padding-bottom-12 {padding-bottom: 12px}
.padding-bottom-14 {padding-bottom: 14px}
.padding-bottom-16 {padding-bottom: 16px}
.padding-bottom-18 {padding-bottom: 18px}
.padding-bottom-20 {padding-bottom: 20px}
.padding-bottom-22 {padding-bottom: 22px}
.padding-bottom-24 {padding-bottom: 24px}
.padding-bottom-26 {padding-bottom: 26px}
.padding-bottom-28 {padding-bottom: 28px}
.padding-bottom-30 {padding-bottom: 30px}
.padding-bottom-32 {padding-bottom: 32px}
.padding-bottom-34 {padding-bottom: 34px}
.padding-bottom-36 {padding-bottom: 36px}
.padding-bottom-38 {padding-bottom: 38px}
.padding-bottom-40 {padding-bottom: 40px}
.padding-bottom-42 {padding-bottom: 42px}
.padding-bottom-44 {padding-bottom: 44px}
.padding-bottom-46 {padding-bottom: 46px}
.padding-bottom-48 {padding-bottom: 48px}
.padding-bottom-50 {padding-bottom: 50px}
.padding-bottom-52 {padding-bottom:52px}
.padding-bottom-54 {padding-bottom:54px}
.padding-bottom-56 {padding-bottom:56px}
.padding-bottom-58 {padding-bottom:58px}
.padding-bottom-60 {padding-bottom: 60px}
.padding-bottom-80 {padding-bottom: 80px}
.padding-bottom-90 {padding-bottom: 90px}
.padding-bottom-100{padding-bottom:100px}

/*-----padding-left-----*/
.padding-left-0 { padding-left: 0px;}
.padding-left-2  {padding-left: 2px}
.padding-left-4  {padding-left: 4px}
.padding-left-6  {padding-left: 6px}
.padding-left-8  {padding-left: 8px}
.padding-left-10 {padding-left: 10px}
.padding-left-12 {padding-left: 12px}
.padding-left-14 {padding-left: 14px}
.padding-left-16 {padding-left: 16px}
.padding-left-18 {padding-left: 18px}
.padding-left-20 {padding-left: 20px}
.padding-left-22 {padding-left: 22px}
.padding-left-24 {padding-left: 24px}
.padding-left-26 {padding-left: 26px}
.padding-left-28 {padding-left: 28px}
.padding-left-30 {padding-left: 30px}
.padding-left-32 {padding-left: 32px}
.padding-left-34 {padding-left: 34px}
.padding-left-36 {padding-left: 36px}
.padding-left-38 {padding-left: 38px}
.padding-left-40 {padding-left: 40px}
.padding-left-42 {padding-left: 42px}
.padding-left-44 {padding-left: 44px}
.padding-left-46 {padding-left: 46px}
.padding-left-48 {padding-left: 48px}
.padding-left-50 {padding-left: 50px}
.padding-left-52 {padding-left:52px}
.padding-left-54 {padding-left:54px}
.padding-left-56 {padding-left:56px}
.padding-left-58 {padding-left:58px}
.padding-left-60 {padding-left: 60px}
.padding-left-80 {padding-left: 80px}
.padding-left-90 {padding-left: 90px}
.padding-left-100{padding-left:100px}

/*-----margin-----*/
.margin-0 { margin: 0px;}
.margin-2  {margin: 2px}
.margin-4  {margin: 4px}
.margin-6  {margin: 6px}
.margin-8  {margin: 8px}
.margin-10 {margin: 10px}
.margin-12 {margin: 12px}
.margin-14 {margin: 14px}
.margin-16 {margin: 16px}
.margin-18 {margin: 18px}
.margin-20 {margin: 20px}
.margin-22 {margin: 22px}
.margin-24 {margin: 24px}
.margin-26 {margin: 26px}
.margin-28 {margin: 28px}
.margin-30 {margin: 30px}
.margin-32 {margin: 32px}
.margin-34 {margin: 34px}
.margin-36 {margin: 36px}
.margin-38 {margin: 38px}
.margin-40 {margin: 40px}
.margin-42 {margin: 42px}
.margin-44 {margin: 44px}
.margin-46 {margin: 46px}
.margin-48 {margin: 48px}
.margin-50 {margin: 50px}
.margin-52 {margin:52px}
.margin-54 {margin:54px}
.margin-56 {margin:56px}
.margin-58 {margin:58px}
.margin-60 {margin: 60px}
.margin-80 {margin: 80px}
.margin-90 {margin: 90px}
.margin-100{margin:100px}

/*-----margin-top-----*/
.margin-top-0 { margin-top: 0px;}
.margin-top-2  {margin-top: 2px}
.margin-top-4  {margin-top: 4px}
.margin-top-6  {margin-top: 6px}
.margin-top-8  {margin-top: 8px}
.margin-top-10 {margin-top: 10px}
.margin-top-12 {margin-top: 12px}
.margin-top-14 {margin-top: 14px}
.margin-top-16 {margin-top: 16px}
.margin-top-18 {margin-top: 18px}
.margin-top-20 {margin-top: 20px}
.margin-top-22 {margin-top: 22px}
.margin-top-24 {margin-top: 24px}
.margin-top-26 {margin-top: 26px}
.margin-top-28 {margin-top: 28px}
.margin-top-30 {margin-top: 30px}
.margin-top-32 {margin-top: 32px}
.margin-top-34 {margin-top: 34px}
.margin-top-36 {margin-top: 36px}
.margin-top-38 {margin-top: 38px}
.margin-top-40 {margin-top: 40px}
.margin-top-42 {margin-top: 42px}
.margin-top-44 {margin-top: 44px}
.margin-top-46 {margin-top: 46px}
.margin-top-48 {margin-top: 48px}
.margin-top-50 {margin-top: 50px}
.margin-top-52 {margin-top:52px}
.margin-top-54 {margin-top:54px}
.margin-top-56 {margin-top:56px}
.margin-top-58 {margin-top:58px}
.margin-top-60 {margin-top: 60px}
.margin-top-80 {margin-top: 80px}
.margin-top-90 {margin-top: 90px}
.margin-top-100{margin-top:100px}

/*-----margin-right-----*/
.margin-right-0 { margin-right: 0px;}
.margin-right-2  {margin-right: 2px}
.margin-right-4  {margin-right: 4px}
.margin-right-6  {margin-right: 6px}
.margin-right-8  {margin-right: 8px}
.margin-right-10 {margin-right: 10px}
.margin-right-12 {margin-right: 12px}
.margin-right-14 {margin-right: 14px}
.margin-right-16 {margin-right: 16px}
.margin-right-18 {margin-right: 18px}
.margin-right-20 {margin-right: 20px}
.margin-right-22 {margin-right: 22px}
.margin-right-24 {margin-right: 24px}
.margin-right-26 {margin-right: 26px}
.margin-right-28 {margin-right: 28px}
.margin-right-30 {margin-right: 30px}
.margin-right-32 {margin-right: 32px}
.margin-right-34 {margin-right: 34px}
.margin-right-36 {margin-right: 36px}
.margin-right-38 {margin-right: 38px}
.margin-right-40 {margin-right: 40px}
.margin-right-42 {margin-right: 42px}
.margin-right-44 {margin-right: 44px}
.margin-right-46 {margin-right: 46px}
.margin-right-48 {margin-right: 48px}
.margin-right-50 {margin-right: 50px}
.margin-right-52 {margin-right:52px}
.margin-right-54 {margin-right:54px}
.margin-right-56 {margin-right:56px}
.margin-right-58 {margin-right:58px}
.margin-right-60 {margin-right: 60px}
.margin-right-80 {margin-right: 80px}
.margin-right-90 {margin-right: 90px}
.margin-right-100{margin-right:100px}

/*-----pddding-bottom-----*/
.margin-bottom-0 { margin-bottom: 0px;}
.margin-bottom-2  {margin-bottom: 2px}
.margin-bottom-4  {margin-bottom: 4px}
.margin-bottom-6  {margin-bottom: 6px}
.margin-bottom-8  {margin-bottom: 8px}
.margin-bottom-10 {margin-bottom: 10px}
.margin-bottom-12 {margin-bottom: 12px}
.margin-bottom-14 {margin-bottom: 14px}
.margin-bottom-16 {margin-bottom: 16px}
.margin-bottom-18 {margin-bottom: 18px}
.margin-bottom-20 {margin-bottom: 20px}
.margin-bottom-22 {margin-bottom: 22px}
.margin-bottom-24 {margin-bottom: 24px}
.margin-bottom-26 {margin-bottom: 26px}
.margin-bottom-28 {margin-bottom: 28px}
.margin-bottom-30 {margin-bottom: 30px}
.margin-bottom-32 {margin-bottom: 32px}
.margin-bottom-34 {margin-bottom: 34px}
.margin-bottom-36 {margin-bottom: 36px}
.margin-bottom-38 {margin-bottom: 38px}
.margin-bottom-40 {margin-bottom: 40px}
.margin-bottom-42 {margin-bottom: 42px}
.margin-bottom-44 {margin-bottom: 44px}
.margin-bottom-46 {margin-bottom: 46px}
.margin-bottom-48 {margin-bottom: 48px}
.margin-bottom-50 {margin-bottom: 50px}
.margin-bottom-52 {margin-bottom:52px}
.margin-bottom-54 {margin-bottom:54px}
.margin-bottom-56 {margin-bottom:56px}
.margin-bottom-58 {margin-bottom:58px}
.margin-bottom-60 {margin-bottom: 60px}
.margin-bottom-80 {margin-bottom: 80px}
.margin-bottom-90 {margin-bottom: 90px}
.margin-bottom-100{margin-bottom:100px}

/*-----margin-left-----*/
.margin-left-0 { margin-left: 0px;}
.margin-left-2  {margin-left: 2px}
.margin-left-4  {margin-left: 4px}
.margin-left-6  {margin-left: 6px}
.margin-left-8  {margin-left: 8px}
.margin-left-10 {margin-left: 10px}
.margin-left-12 {margin-left: 12px}
.margin-left-14 {margin-left: 14px}
.margin-left-16 {margin-left: 16px}
.margin-left-18 {margin-left: 18px}
.margin-left-20 {margin-left: 20px}
.margin-left-22 {margin-left: 22px}
.margin-left-24 {margin-left: 24px}
.margin-left-26 {margin-left: 26px}
.margin-left-28 {margin-left: 28px}
.margin-left-30 {margin-left: 30px}
.margin-left-32 {margin-left: 32px}
.margin-left-34 {margin-left: 34px}
.margin-left-36 {margin-left: 36px}
.margin-left-38 {margin-left: 38px}
.margin-left-40 {margin-left: 40px}
.margin-left-42 {margin-left: 42px}
.margin-left-44 {margin-left: 44px}
.margin-left-46 {margin-left: 46px}
.margin-left-48 {margin-left: 48px}
.margin-left-50 {margin-left: 50px}
.margin-left-52 {margin-left:52px}
.margin-left-54 {margin-left:54px}
.margin-left-56 {margin-left:56px}
.margin-left-58 {margin-left:58px}
.margin-left-60 {margin-left: 60px}
.margin-left-80 {margin-left: 80px}
.margin-left-90 {margin-left: 90px}
.margin-left-100{margin-left:100px}

/*top*/
.top-0 {top:0px}
.top-2 {top: 2px}
.top-4 {top: 4px}
.top-6 {top: 6px}
.top-8 {top: 8px}
.top-10 {top: 10px}
.top-12 {top: 12px}
.top-14 {top: 14px}
.top-16 {top: 16px}
.top-18 {top: 18px}
.top-20 {top: 20px}
.top-22 {top: 22px}
.top-24 {top: 24px}
.top-26 {top: 26px}
.top-28 {top: 28px}
.top-30 {top: 30px}
.top-32 {top: 32px}
.top-34 {top: 34px}
.top-36 {top: 36px}
.top-38 {top: 38px}
.top-40 {top: 40px}
.top-42 {top: 42px}
.top-44 {top: 44px}
.top-46 {top: 46px}
.top-48 {top: 48px}
.top-50 {top: 50px}
.top-60 {top: 60px}
.top-70 {top: 70px}
.top-80 {top:80px}
.top-90 {top:90px}
.top-100 {top:100px}

/*right*/
.right-0 {right:0px}
.right-2 {right: 2px}
.right-4 {right: 4px}
.right-6 {right: 6px}
.right-8 {right: 8px}
.right-10 {right: 10px}
.right-12 {right: 12px}
.right-14 {right: 14px}
.right-16 {right: 16px}
.right-18 {right: 18px}
.right-20 {right: 20px}
.right-22 {right: 22px}
.right-24 {right: 24px}
.right-26 {right: 26px}
.right-28 {right: 28px}
.right-30 {right: 30px}
.right-32 {right: 32px}
.right-34 {right: 34px}
.right-36 {right: 36px}
.right-38 {right: 38px}
.right-40 {right: 40px}
.right-42 {right: 42px}
.right-44 {right: 44px}
.right-46 {right: 46px}
.right-48 {right: 48px}
.right-50 {right: 50px}
.right-60 {right: 60px}
.right-70 {right: 70px}
.right-80 {right:80px}
.right-90 {right:90px}
.right-100 {right:100px}


/*bottom*/
.bottom-0 {bottom:0px}
.bottom-2 {bottom: 2px}
.bottom-4 {bottom: 4px}
.bottom-6 {bottom: 6px}
.bottom-8 {bottom: 8px}
.bottom-10 {bottom: 10px}
.bottom-12 {bottom: 12px}
.bottom-14 {bottom: 14px}
.bottom-16 {bottom: 16px}
.bottom-18 {bottom: 18px}
.bottom-20 {bottom: 20px}
.bottom-22 {bottom: 22px}
.bottom-24 {bottom: 24px}
.bottom-26 {bottom: 26px}
.bottom-28 {bottom: 28px}
.bottom-30 {bottom: 30px}
.bottom-32 {bottom: 32px}
.bottom-34 {bottom: 34px}
.bottom-36 {bottom: 36px}
.bottom-38 {bottom: 38px}
.bottom-40 {bottom: 40px}
.bottom-42 {bottom: 42px}
.bottom-44 {bottom: 44px}
.bottom-46 {bottom: 46px}
.bottom-48 {bottom: 48px}
.bottom-50 {bottom: 50px}
.bottom-60 {bottom: 60px}
.bottom-70 {bottom: 70px}
.bottom-80 {bottom: 80px}
.bottom-90 {bottom: 90px}
.bottom-100{bottom:100px}

/*left*/
.left-0 {left:0px}
.left-2 {left: 2px}
.left-4 {left: 4px}
.left-6 {left: 6px}
.left-8 {left: 8px}
.left-10 {left: 10px}
.left-12 {left: 12px}
.left-14 {left: 14px}
.left-16 {left: 16px}
.left-18 {left: 18px}
.left-20 {left: 20px}
.left-22 {left: 22px}
.left-24 {left: 24px}
.left-26 {left: 26px}
.left-28 {left: 28px}
.left-30 {left: 30px}
.left-32 {left: 32px}
.left-34 {left: 34px}
.left-36 {left: 36px}
.left-38 {left: 38px}
.left-40 {left: 40px}
.left-42 {left: 42px}
.left-44 {left: 44px}
.left-46 {left: 46px}
.left-48 {left: 48px}
.left-50 {left: 50px}
.left-60 {left: 60px}
.left-70 {left: 70px}
.left-80 {left: 80px}
.left-90 {left: 90px}
.left-100 {left:100px}



